﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using Mono.Data.Sqlite;
using System.Data;
using System;

public class CambiarMenuses : MonoBehaviour {
	public Text pregunta;
	public Text answ1;
	public Text answ2;
	GameLogic basura;
	public GameObject panelmsg;
	public GameObject panelgaleria;
	public GameObject panel_big_image;
	public int karma1;
	public int karma2;
	public int nextfoto;
	public Sprite[] fotos;
	public Sprite sonichuavatar;
	public Sprite rosechuavatar;
	AudioSource sound;
	public Button[] botonesgaleria;
	public Button bigimage;
	public bool responding;
	public int arrayindex;
	public Image image_avatar;
	public Text text_avatar;
	public Image exclamation_mark;
	public GameObject panel_agenda;
	void Start () {
		arrayindex = 0;
		responding = false;
		nextfoto = 0;
		basura = GameObject.Find ("GameLogic").GetComponent<GameLogic> ();
		sound = GameObject.Find ("GameLogic").GetComponent<AudioSource> ();
	}

	void Update () {
	}

	public void readfoto (string i) {
		Debug.Log (botonesgaleria[nextfoto]);
		botonesgaleria[nextfoto].GetComponent<Image>().sprite = fotos[int.Parse(i)-1];
		botonesgaleria [nextfoto].gameObject.SetActive (true);
		++nextfoto;
		exclamation_mark.gameObject.SetActive (true);
	}

	public void big_image (int i) {
		bigimage.GetComponent<Image> ().sprite = fotos [i];
		panel_agenda.SetActive (false);
		panel_big_image.SetActive (true);
		panelgaleria.SetActive (false);

	}



	public void readquestion() {
		panel_big_image.SetActive (false);
		panel_agenda.SetActive (false);
		sound.Play();
		panelgaleria.SetActive(false);
		if (!responding && basura.pending > 0 && !panelmsg.activeSelf) {
			responding = true;
			panelmsg.SetActive (true);
			--basura.pending;
			if (basura.pending == 0) basura.red_circle_pending.gameObject.SetActive (false);
			pregunta.text = basura.matrix [arrayindex, 1]; //I'm dead inside
			Debug.Log(basura.matrix[arrayindex, 4]);
			if (basura.matrix[arrayindex, 4] != "-1") readfoto(basura.matrix[arrayindex,4]);
			string conn = "URI=file:" + Application.dataPath + "/database.db";
			IDbConnection dbconn;
			dbconn = (IDbConnection)new SqliteConnection (conn);
			dbconn.Open ();
			IDbCommand dbcmd = dbconn.CreateCommand ();
			string sqlQuery = "SELECT * FROM respuestas WHERE idp=" + basura.matrix [arrayindex, 0];
			dbcmd.CommandText = sqlQuery;
			IDataReader reader = dbcmd.ExecuteReader ();
			reader.Read ();
			answ1.text = reader.GetString (2);
			karma1 = reader.GetInt32 (3);
			reader.Read ();
			answ2.text = reader.GetString (2);
			karma2 = reader.GetInt32 (3);
			if (basura.matrix [arrayindex, 3] == "Sonichu") {
				image_avatar.sprite = sonichuavatar;
				text_avatar.text = "Sonichu";
			} else {
				image_avatar.sprite = rosechuavatar;
				text_avatar.text = "Rosechu";
			}
			reader.Close ();
			reader = null;
			dbcmd.Dispose ();
			dbcmd = null;
			dbconn.Close ();
			dbconn = null;
		} else if (responding) 
			panelmsg.SetActive (true);
	}

	public void open_agenda () {
		panelmsg.SetActive (false);
		panel_big_image.SetActive (false);
		panelgaleria.SetActive (false);
		panel_agenda.SetActive (true);



	}


	public void answer(int i) {
		string persona = basura.matrix [arrayindex, 3];
		sound.Play ();
		if (i == 0) {
			if (persona == "Sonichu")
				basura.skarma += karma1;
			else
				basura.rkarma += karma1;
		} else {
			if (persona == "Sonichu")
				basura.skarma += karma2;
			else
				basura.rkarma += karma2;
		}
		panelmsg.SetActive (false);
		responding = false;
		++arrayindex;
		if (arrayindex == 4)
			arrayindex = 0;
		readquestion ();
	}

	public void galeria () {
		panel_big_image.SetActive (false);
		panel_agenda.SetActive (false);
	
		sound.Play ();
		panelmsg.SetActive (false);
		panelgaleria.SetActive (true);
		exclamation_mark.gameObject.SetActive (false);

	}
}
