﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class MainMenu : MonoBehaviour {

	public GameObject panel;
	public GameObject panel_intro;
	public float timer = 10f;
	// Use this for initialization
	public Text loading;
	private IEnumerator coroutine;
	bool clicked = false;
	void Start () {
		
	}

	// Update is called once per frame
	void Update () {
		if (Input.anyKey && !clicked) {
			clicked = true;
			panel.SetActive (false);
			panel_intro.SetActive (true);
			coroutine = WaitAndPrint(timer);
			StartCoroutine(coroutine);

		}

	}

	private IEnumerator WaitAndPrint(float waitTime)
	{
		while (true)
		{
			yield return new WaitForSeconds(waitTime);
			print("WaitAndPrint " + Time.time);
			menuStart ();
		}
	}
		
	public void menuStart(){
		loading.text = "Loading...";
		SceneManager.LoadScene (1);
	}
}
