﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using Mono.Data.Sqlite;
using System.Data;
using System;
using UnityEngine.SceneManagement;

public class GameLogic : MonoBehaviour {
	public int pending = 0;
	public int totalmsg = 0;
	public float dep = 5;  // Disparador Entre Preguntas (tm)
	public Text basura;
	public Text diatexto;
	public int dia;
	public string[,] matrix;
	public int skarma;
	public int rkarma;
	CambiarMenuses script;
	public Image red_circle_pending;
	public AudioSource bgm;
	public AudioClip epic;
	public AudioClip sad;


	void Start () {
		script = GameObject.Find ("GameLogic").GetComponent<CambiarMenuses> ();
		matrix = new string[4,5];
		dia = 1;
		diatexto.text = dia.ToString ();
		connect ();
		skarma = 0;
		rkarma = 0;
	}


	void daychange() {
		++dia;
		Debug.Log (skarma);
		Debug.Log (rkarma);
		if (dia == 8) {
			int ending;
			if (skarma == rkarma)
				ending = 4;
			else if (skarma >= 20 && rkarma >= 20)
				ending = 3;
			else if (skarma <= -20 && rkarma <= -20)
				ending = 2;
			else if (rkarma > skarma)
				ending = 1;
			else
				ending = 0;
			StaticEnding.ending = ending;
			SceneManager.LoadScene (2);
		}
		diatexto.text = dia.ToString ();
		matrix = new string[4, 5];
		connect ();
		totalmsg = 0;
		if (dia == 5) {
			bgm.Pause ();
			bgm.clip = epic;
			bgm.Play ();
		} else if (dia == 6) {
			bgm.Pause ();
			bgm.clip = sad;
			bgm.Play ();
		}
	}

	void Update () {
		basura.text = pending.ToString();
		dep -= Time.deltaTime;
		if (dep <= 0) {
			dep = 5;
			if (totalmsg < 4) {
				++pending;
				red_circle_pending.gameObject.SetActive (true);
				++totalmsg;
			}
		}
		if (totalmsg == 4 && pending == 0 && !script.panelmsg.activeSelf && !script.responding) daychange();
	}



	void connect () {
		string conn = "URI=file:" + Application.dataPath + "/database.db"; //Path to database.
		IDbConnection dbconn;
		dbconn = (IDbConnection)new SqliteConnection (conn);
		dbconn.Open (); //Open connection to the database.
		IDbCommand dbcmd = dbconn.CreateCommand ();
		string sqlQuery = "SELECT * FROM preguntas WHERE dia=" + dia.ToString() ;
		dbcmd.CommandText = sqlQuery;
		IDataReader reader = dbcmd.ExecuteReader ();
		int i = 0;
		while (reader.Read ()) {
			matrix[i,0] = reader.GetInt32(0).ToString();
			matrix [i, 1] = reader.GetString (1);
			matrix[i,2] = reader.GetInt32(2).ToString();
			matrix [i, 3] = reader.GetString(3);
			matrix [i, 4] = reader.GetInt32 (4).ToString ();
			++i;
		}
		reader.Close ();
		reader = null;
		dbcmd.Dispose();
		dbcmd = null;
		dbconn.Close ();
		dbconn = null;
	}


}
